<?php
$tdatadocumentos_membros = array();
$tdatadocumentos_membros[".searchableFields"] = array();
$tdatadocumentos_membros[".ShortName"] = "documentos_membros";
$tdatadocumentos_membros[".OwnerID"] = "usuario";
$tdatadocumentos_membros[".OriginalTable"] = "documentos";


$tdatadocumentos_membros[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatadocumentos_membros[".originalPagesByType"] = $tdatadocumentos_membros[".pagesByType"];
$tdatadocumentos_membros[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatadocumentos_membros[".originalPages"] = $tdatadocumentos_membros[".pages"];
$tdatadocumentos_membros[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatadocumentos_membros[".originalDefaultPages"] = $tdatadocumentos_membros[".defaultPages"];

//	field labels
$fieldLabelsdocumentos_membros = array();
$fieldToolTipsdocumentos_membros = array();
$pageTitlesdocumentos_membros = array();
$placeHoldersdocumentos_membros = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsdocumentos_membros["Portuguese(Brazil)"] = array();
	$fieldToolTipsdocumentos_membros["Portuguese(Brazil)"] = array();
	$placeHoldersdocumentos_membros["Portuguese(Brazil)"] = array();
	$pageTitlesdocumentos_membros["Portuguese(Brazil)"] = array();
	$fieldLabelsdocumentos_membros["Portuguese(Brazil)"]["id_doc"] = "ID";
	$fieldToolTipsdocumentos_membros["Portuguese(Brazil)"]["id_doc"] = "";
	$placeHoldersdocumentos_membros["Portuguese(Brazil)"]["id_doc"] = "";
	$fieldLabelsdocumentos_membros["Portuguese(Brazil)"]["titulo"] = "TÍTULO";
	$fieldToolTipsdocumentos_membros["Portuguese(Brazil)"]["titulo"] = "";
	$placeHoldersdocumentos_membros["Portuguese(Brazil)"]["titulo"] = "";
	$fieldLabelsdocumentos_membros["Portuguese(Brazil)"]["descricao"] = "DESCRIÇÃO";
	$fieldToolTipsdocumentos_membros["Portuguese(Brazil)"]["descricao"] = "";
	$placeHoldersdocumentos_membros["Portuguese(Brazil)"]["descricao"] = "";
	$fieldLabelsdocumentos_membros["Portuguese(Brazil)"]["anexo"] = "ANEXO";
	$fieldToolTipsdocumentos_membros["Portuguese(Brazil)"]["anexo"] = "";
	$placeHoldersdocumentos_membros["Portuguese(Brazil)"]["anexo"] = "";
	$fieldLabelsdocumentos_membros["Portuguese(Brazil)"]["nota"] = "NOTA";
	$fieldToolTipsdocumentos_membros["Portuguese(Brazil)"]["nota"] = "";
	$placeHoldersdocumentos_membros["Portuguese(Brazil)"]["nota"] = "";
	$fieldLabelsdocumentos_membros["Portuguese(Brazil)"]["usuario"] = "USUÁRIO";
	$fieldToolTipsdocumentos_membros["Portuguese(Brazil)"]["usuario"] = "";
	$placeHoldersdocumentos_membros["Portuguese(Brazil)"]["usuario"] = "";
	if (count($fieldToolTipsdocumentos_membros["Portuguese(Brazil)"]))
		$tdatadocumentos_membros[".isUseToolTips"] = true;
}


	$tdatadocumentos_membros[".NCSearch"] = true;



$tdatadocumentos_membros[".shortTableName"] = "documentos_membros";
$tdatadocumentos_membros[".nSecOptions"] = 1;

$tdatadocumentos_membros[".mainTableOwnerID"] = "usuario";
$tdatadocumentos_membros[".entityType"] = 1;
$tdatadocumentos_membros[".connId"] = "doccontrol_at_localhost";


$tdatadocumentos_membros[".strOriginalTableName"] = "documentos";

	



$tdatadocumentos_membros[".showAddInPopup"] = false;

$tdatadocumentos_membros[".showEditInPopup"] = false;

$tdatadocumentos_membros[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadocumentos_membros[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatadocumentos_membros[".listAjax"] = false;
//	temporary
$tdatadocumentos_membros[".listAjax"] = false;

	$tdatadocumentos_membros[".audit"] = false;

	$tdatadocumentos_membros[".locking"] = false;


$pages = $tdatadocumentos_membros[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadocumentos_membros[".edit"] = true;
	$tdatadocumentos_membros[".afterEditAction"] = 1;
	$tdatadocumentos_membros[".closePopupAfterEdit"] = 1;
	$tdatadocumentos_membros[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadocumentos_membros[".add"] = true;
$tdatadocumentos_membros[".afterAddAction"] = 1;
$tdatadocumentos_membros[".closePopupAfterAdd"] = 1;
$tdatadocumentos_membros[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadocumentos_membros[".list"] = true;
}



$tdatadocumentos_membros[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadocumentos_membros[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadocumentos_membros[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadocumentos_membros[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadocumentos_membros[".printFriendly"] = true;
}



$tdatadocumentos_membros[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadocumentos_membros[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadocumentos_membros[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadocumentos_membros[".isUseAjaxSuggest"] = true;

$tdatadocumentos_membros[".rowHighlite"] = true;





$tdatadocumentos_membros[".ajaxCodeSnippetAdded"] = false;

$tdatadocumentos_membros[".buttonsAdded"] = false;

$tdatadocumentos_membros[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadocumentos_membros[".isUseTimeForSearch"] = false;


$tdatadocumentos_membros[".badgeColor"] = "778899";


$tdatadocumentos_membros[".allSearchFields"] = array();
$tdatadocumentos_membros[".filterFields"] = array();
$tdatadocumentos_membros[".requiredSearchFields"] = array();

$tdatadocumentos_membros[".googleLikeFields"] = array();
$tdatadocumentos_membros[".googleLikeFields"][] = "id_doc";
$tdatadocumentos_membros[".googleLikeFields"][] = "titulo";
$tdatadocumentos_membros[".googleLikeFields"][] = "descricao";
$tdatadocumentos_membros[".googleLikeFields"][] = "anexo";
$tdatadocumentos_membros[".googleLikeFields"][] = "nota";
$tdatadocumentos_membros[".googleLikeFields"][] = "usuario";



$tdatadocumentos_membros[".tableType"] = "list";

$tdatadocumentos_membros[".printerPageOrientation"] = 0;
$tdatadocumentos_membros[".nPrinterPageScale"] = 100;

$tdatadocumentos_membros[".nPrinterSplitRecords"] = 40;

$tdatadocumentos_membros[".geocodingEnabled"] = false;










$tdatadocumentos_membros[".pageSize"] = 20;

$tdatadocumentos_membros[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadocumentos_membros[".strOrderBy"] = $tstrOrderBy;

$tdatadocumentos_membros[".orderindexes"] = array();


$tdatadocumentos_membros[".sqlHead"] = "SELECT id_doc,  	titulo,  	descricao,  	anexo,  	nota,  	usuario";
$tdatadocumentos_membros[".sqlFrom"] = "FROM documentos";
$tdatadocumentos_membros[".sqlWhereExpr"] = "";
$tdatadocumentos_membros[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadocumentos_membros[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadocumentos_membros[".arrGroupsPerPage"] = $arrGPP;

$tdatadocumentos_membros[".highlightSearchResults"] = true;

$tableKeysdocumentos_membros = array();
$tableKeysdocumentos_membros[] = "id_doc";
$tdatadocumentos_membros[".Keys"] = $tableKeysdocumentos_membros;


$tdatadocumentos_membros[".hideMobileList"] = array();




//	id_doc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_doc";
	$fdata["GoodName"] = "id_doc";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos_membros","id_doc");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_doc";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_doc";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos_membros["id_doc"] = $fdata;
		$tdatadocumentos_membros[".searchableFields"][] = "id_doc";
//	titulo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "titulo";
	$fdata["GoodName"] = "titulo";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos_membros","titulo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "titulo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "titulo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos_membros["titulo"] = $fdata;
		$tdatadocumentos_membros[".searchableFields"][] = "titulo";
//	descricao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "descricao";
	$fdata["GoodName"] = "descricao";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos_membros","descricao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "descricao";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "descricao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos_membros["descricao"] = $fdata;
		$tdatadocumentos_membros[".searchableFields"][] = "descricao";
//	anexo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "anexo";
	$fdata["GoodName"] = "anexo";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos_membros","anexo");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "anexo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "anexo";

		$fdata["DeleteAssociatedFile"] = true;

	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
						$vdata["ShowFileSize"] = true;
			$vdata["ShowIcon"] = true;
		
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos_membros["anexo"] = $fdata;
		$tdatadocumentos_membros[".searchableFields"][] = "anexo";
//	nota
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "nota";
	$fdata["GoodName"] = "nota";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos_membros","nota");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nota";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nota";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos_membros["nota"] = $fdata;
		$tdatadocumentos_membros[".searchableFields"][] = "nota";
//	usuario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "usuario";
	$fdata["GoodName"] = "usuario";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos_membros","usuario");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "usuario";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "usuario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "usuarios";
		$edata["listPageId"] = "list";
		$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 2;

	
		
	$edata["LinkField"] = "id_usuario";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nome";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos_membros["usuario"] = $fdata;
		$tdatadocumentos_membros[".searchableFields"][] = "usuario";


$tables_data["documentos_membros"]=&$tdatadocumentos_membros;
$field_labels["documentos_membros"] = &$fieldLabelsdocumentos_membros;
$fieldToolTips["documentos_membros"] = &$fieldToolTipsdocumentos_membros;
$placeHolders["documentos_membros"] = &$placeHoldersdocumentos_membros;
$page_titles["documentos_membros"] = &$pageTitlesdocumentos_membros;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["documentos_membros"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["documentos_membros"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_documentos_membros()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_doc,  	titulo,  	descricao,  	anexo,  	nota,  	usuario";
$proto0["m_strFrom"] = "FROM documentos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_doc",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos_membros"
));

$proto6["m_sql"] = "id_doc";
$proto6["m_srcTableName"] = "documentos_membros";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "titulo",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos_membros"
));

$proto8["m_sql"] = "titulo";
$proto8["m_srcTableName"] = "documentos_membros";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "descricao",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos_membros"
));

$proto10["m_sql"] = "descricao";
$proto10["m_srcTableName"] = "documentos_membros";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "anexo",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos_membros"
));

$proto12["m_sql"] = "anexo";
$proto12["m_srcTableName"] = "documentos_membros";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "nota",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos_membros"
));

$proto14["m_sql"] = "nota";
$proto14["m_srcTableName"] = "documentos_membros";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "usuario",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos_membros"
));

$proto16["m_sql"] = "usuario";
$proto16["m_srcTableName"] = "documentos_membros";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "documentos";
$proto19["m_srcTableName"] = "documentos_membros";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "id_doc";
$proto19["m_columns"][] = "titulo";
$proto19["m_columns"][] = "descricao";
$proto19["m_columns"][] = "anexo";
$proto19["m_columns"][] = "nota";
$proto19["m_columns"][] = "usuario";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "documentos";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "documentos_membros";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="documentos_membros";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_documentos_membros = createSqlQuery_documentos_membros();


	
		;

						

$tdatadocumentos_membros[".sqlquery"] = $queryData_documentos_membros;



include_once(getabspath("include/documentos_membros_events.php"));
$tableEvents["documentos_membros"] = new eventclass_documentos_membros;
$tdatadocumentos_membros[".hasEvents"] = true;

?>